Index: code/trunk/doc/api/doxy.config.in
===================================================================
--- code/trunk/doc/api/doxy.config.in	(revision 11098)
+++ code/trunk/doc/api/doxy.config.in	(revision 11099)
@@ -883,5 +883,5 @@
 # of the generated HTML documentation.
 
-GENERATE_HTMLHELP      = YES
+GENERATE_HTMLHELP      = NO
 
 # If the GENERATE_HTMLHELP tag is set to YES, the CHM_FILE tag can
Index: code/trunk/doc/api/groups/Pickup.dox
===================================================================
--- code/trunk/doc/api/groups/Pickup.dox	(revision 11098)
+++ code/trunk/doc/api/groups/Pickup.dox	(revision 11099)
@@ -151,4 +151,6 @@
 
     @subsection CreatingTheInnerWorkings Creating the inner workings of your pickup
+    @todo This is completely outdated. Someone who knows how pickups work should update this.
+    
     Now that we have the skeleton of a pickup and we have defined which carriers are allowed to pick our pickup up we are going to take a look at all the methods we can (or sometimes have to) overload from @ref orxonox::Pickupable "Pickupable", for our pickup to work properly. But first I will introduce some more concepts to make the need for these methods more obvious.
     - Since one pickup class can by itself be many pickup types, we need a way to find out whether a particular instance of a pickup is of the same type as another instance of a pickup. To that end the @ref orxonox::PickupIdentifier "PickupIdentifier" was created. The @ref orxonox::PickupIdentifier "PickupIdentifier" accounts for the type of class your pickup is of and also for the parameters (and their values) that distinguish different types of pickups of the same class. Much of the functionality of the pickup module relies on this identifier being correct, thus it is very important to initialize it correctly. (We will see, how that is done in a short while.)
Index: code/trunk/doc/api/groups/Portals.dox
===================================================================
--- code/trunk/doc/api/groups/Portals.dox	(revision 11098)
+++ code/trunk/doc/api/groups/Portals.dox	(revision 11099)
@@ -60,222 +60,2 @@
      - design: the name of the @ref orxonox::Template "design template"
 */
-
-/**
-    @addtogroup Pickup Pickup
-    @ingroup Modules
-
-    The Pickup module adds a special type of object to Orxonox, the so-called @ref orxonox::Pickupable "Pickupables". @ref orxonox::Pickupable "Pickupables" are objects that can be picked up (by virtually any entity, but commonly by the @ref orxonox::Pawn "Pawn") and have some kind of effect on the entity that picked the @ref orxonox::Pickupable "Pickupable" up.
-
-    @section IncludingPickups Including pickups in a level
-    @ref orxonox::Pickupable "Pickupables" are designed so that they can be included in levels fairly easily, while also ensuring, that the pickup itself (its game-logic component) and how it is represented (e.g. in the PickupInventory (the GUI that displays @ref orxonox::Pickupable "Pickupables") or in the game) are neatly seperated.
-    To be able to use @ref orxonox::Pickupable "Pickupables" in a level one must understand some basic concepts.
-    - @ref orxonox::Pickupable "Pickupables" are entities which (by itself) have no physical (or graphical) dimension. The simply represent the effect they will have on a @ref orxonox::PickupCarrier "PickupCarrier" (the entity that can pick up @ref orxonox::Pickupable "Pickupables", @ref orxonox::Pawn "Pawn" for example inherits from @ref orxonox::PickupSpawner "PickupSpawner" and thus is able to pick up and carry @ref orxonox::Pickupable "Pickupables"), when used and the mechanism that leads to that.
-    - The physical (or graphical) dimension of a pickup is called a @ref orxonox::PickupRepresentation "PickupRepresentation".
-    - The @ref orxonox::PickupRepresentation "PickupRepresentation" of a @ref orxonox::Pickupable "Pickupable" and the @ref orxonox::Pickupable "Pickupable" itself are linked to each other, in such a way that a @ref orxonox::PickupRepresentation "PickupRepresentation" can only represent one type of @ref orxonox::Pickupable "Pickupable".
-    - A type of @ref orxonox::Pickupable "Pickupable" is a specific pickup class (inheriting from @ref orxonox::Pickupable "Pickupable") with specific values for all its relevant parameters. This means, that a pickup of the same class with the same values for all parameters except for one is a different type of pickup and will therefore have a different @ref orxonox::PickupRepresentation "PickupRepresentation". Which parameters are the ones relevant to destinguish between two types of pickups can be defined in the class description of the specific pickup.
-    - The entity that actually gives a @ref orxonox::Pickupable "Pickupable" to a @ref orxonox::PickupCarrier "PickupCarrier" is called a @ref orxonox::PickupSpawner "PickupSpawner". A @ref orxonox::PickupSpawner "PickupSpawner" creates (based on some parameters) @ref orxonox::Pickupable "Pickupables" which then is picked up by the @ref orxonox::PickupCarrier "PickupCarrier", that caused the @ref orxonox::PickupSpawner "PickupSpawner" to spawn a new pickup. How the spawner looks in the game is defined by the @ref orxonox::PickupRepresentation "PickupRepresentation" of the @ref orxonox::Pickupable "Pickupable" it spawns.
-
-    @subsection UsingPredifinedPickups Using predefined pickups
-    There is a file called <code>pickupRepresentationTemplates.oxt</code> in <code>levels/templates</code>, which holds the templates for the @ref orxonox::PickupRepresentation "PickupRepresentations" and also templates for @ref orxonox::Pickupable "Pickupables". The templates for the @ref orxonox::PickupRepresentation "PickupRepresentations" define the @ref orxonox::StaticEntity "StaticEntities" that are attached to the @ref orxonox::PickupSpawner "PickupSpawners" to make them look like the @ref orxonox::Pickupable "Pickupable" they are spawning. The templates for the @ref orxonox::Pickupable "Pickupables" can be added just for ease of use.
-    If you want to use pickups you will have to include this file in your level file, somewhere above the Level-tag.
-    @code
-    <?lua
-        include("templates/pickupRepresentationTemplates.oxt")
-    ?>
-    ...
-    <Level>
-    ...
-    @endcode
-    There is another file called <code>pickups.oxi</code> in <code>level/includes</code> which creates all @ref orxonox::PickupRepresentation "PickupRepresentations" needed for the @ref orxonox::Pickupable "Pickupable" supplied by the <code>pickupRepresentationTemplates.oxt</code> file. This file will have to be included as well. It has to be somewhere after the opening Scene-tag and your first use of a pickup.
-    @code
-    <Scene>
-    ...
-    <?lua
-        include("includes/pickups.oxi")
-    ?>
-    @endcode
-    After that all the predefined pickups specified in those two files can be used just by creating a @ref orxonox::PickupSpawner "PickupSpawner" for them in the respective level.
-    For example:
-    @code
-    <PickupSpawner position="-100,0,-100" respawnTime="30" maxSpawnedItems="10">
-        <pickup>
-            <HealthPickup
-                health = 10
-                healthType = "limited"
-                activationType = "immediate"
-                durationType = "once"
-            />
-        </pickup>
-    </PickupSpawner>
-    @endcode
-    Please be aware, that the @ref orxonox::Pickupable "Pickupable" specified for the @ref orxonox::PickupSpawner "PickupSpawner", has to be exactly the same (including all parameters) to the one specified in the <code>pickups.oxi</code> file.
-    To make things simpler, one could just use the templates specified in the <code>pickupRepresentationTemplates.oxt</code> file. Which, following the previous example, would look like this:
-    @code
-    <PickupSpawner position="-100,0,-100" respawnTime="30" maxSpawnedItems="10">
-        <pickup>
-            <HealthPickup template="smallhealthpickup" />
-        </pickup>
-    </PickupSpawner>
-    @endcode
-
-    @subsection UnsingNon-PredefinedPickups Using non-predefined pickups
-    To include a type of pickup (which, as we remember, is the class of the @ref orxonox::Pickupable "Pickupable" with specific values for all the relevant parameters) in a level file, you can just create a new @ref orxonox::PickupSpawner "PickupSpawner" and specify the @ref orxonox::Pickupable "Pickupable".
-    @code
-    <PickupSpawner position="-100,0,-100" respawnTime="30" maxSpawnedItems="10">
-    <pickup>
-        <HealthPickup
-            health = 33
-            healthType = "limited"
-            activationType = "immediate"
-            durationType = "once"
-        />
-    </pickup>
-    </PickupSpawner>
-    @endcode
-    As can be seen in the <code>pickupRepresentationTemplates.oxt</code> file and the <code>pickups.oxi</code> file there is no @ref orxonox::PickupRepresentation "PickupRepresentation" defined for this type of pickup. Thus the default representation will be used.
-
-    To create an appropriate @ref orxonox::PickupRepresentation "PickupRepresentation" for the inserted pickup above, you can just create a @ref orxonox::PickupRepresentation "PickupRepresentation" within the scene (Within the Scene-tags).
-    @code
-    <PickupRepresentation
-        name = "My new health pickup"
-        description = "This is an awesome new health pickup."
-        spawnerTemplate = "mediumhealthpickupRepresentation"
-        inventoryRepresentation = "MediumHealth"
-    >
-        <pickup>
-            <HealthPickup
-            health = 33
-            healthType = "limited"
-            activationType = "immediate"
-            durationType = "once"
-        />
-        </pickup>
-    </PickupRepresentation>
-    @endcode
-    Notice, that the type of pickup specified for the @ref orxonox::PickupRepresentation "PickupRepresentation", naturally, needs to be the same (this is the way they can be connected). Also, we just used an existing <em>spawnerTemplate</em>, to make things simpler.
-
-    The next step is to create a <em>spawnerRepresentation</em> uniquely for our new type of pickup. Lets call it <code>newhealthpickupRepresentation</code>. Thus the parameter <em>spawnerTemplate</em> of the @ref orxonox::PickupRepresentation "PickupRepresentation" has to be changed to that value.
-    @code
-    spawnerTemplate = "newhealthpickupRepresentation"
-    @endcode
-    The <em>spawnerTemplate</em> defines how the @ref orxonox::PickupSpawner "PickupSpawner" is displayed in a level.
-    In our example case it could look like this:
-    @code
-    <Template name=newhealthpickupRepresentation>
-        <PickupRepresentation>
-            <spawner-representation>
-                <StaticEntity>
-                    <attached>
-                        -- Here you can put all the objects which define the look of the spawner. --
-                    </attached>
-                </StaticEntity>
-            </spawner-representation>
-        </PickupRepresentation>
-    </Template>
-    @endcode
-    Please refer to the <code>pickupRepresentationTemplates.oxt</code> for more examples.
-
-    The @ref orxonox::PickupRepresentation "PickupRepresentation" also needs another parameter the <em>inventoryRepresentation</em>. This parameter defined how the @ref orxonox::Pickupable "Pickupable" is displayed in the PickupInventory (a menu to browse the currently equipped pickups).
-    @code
-    inventoryRepresentation = "MediumHealth"
-    @endcode
-    This is the name of an image defined in the PickupInventory imageset (<code>PickupInventory.imageset</code>), which can be found in <code>data_extern/gui/imagesets</code>.
-
-    This is all that has to be done. Now you have a new pickup type with an appropriate @ref orxonox::PickupRepresentation "PickupRepresentation" for your use. If you feel that your pickup is useful in general, please don't hesitate to create a template for the pickup and add your pickup to the <code>pickupRepresentationTemplates.oxt</code> file and the <code>pickups.oxi</code> file, so that anyone who wants to use it can do so quite easily.
-
-    There is also an additional way to create new types of pickups to be used in a level (without having to do any coding). There is a @ref orxonox::Pickupable "Pickupable" called the @ref orxonox::PickupCollection "PickupCollection", which is just a collection (hence the name) of @ref orxonox::Pickupable "Pickupables" (more precisely of @ref orxonox::CollectiblePickup "CollectiblePickups"), behaving as if it was just one @ref orxonox::Pickupable "Pickupable".
-    A @ref orxonox::PickupCollection "PickupCollection" can be created as follows:
-    @code
-    <PickupCollection>
-        <pickupables>
-            -- some pickups you want to have in your collection, e.g. --
-            <HealthPickup template=smallhealthpickup />
-            <HealthPickup health=50 healthRate=5 durationType=continuous activationType=immediate healthType=limited />
-        </pickupables>
-    </PickupCollection>
-    @endcode
-    Of which types of pickups a collection is made up is entirely up to the one creating the @ref orxonox::PickupCollection "PickupCollection", they can be mixed freely.
-
-    @section CreatingAPickup Creating a new pickup
-    Things have been fairly straightforward so far. Creating a @ref orxonox::Pickupable "Pickupable" form scratch isn't as easy. Therefore I'm just going to supply you with a recipe, or a set of steps you have to take, without which your pickup won't work and point out some common pitfalls.
-
-    @subsection CreatingAPickupClass Creating the class
-    For a new @ref orxonox::Pickupable "Pickupable" you need to create a new class in <code>>modules/pickup/items</code>. Your class needs to be derived from another pickup class, normally this would either be @ref orxonox::Pickupable "Pickupable", @ref orxonox::CollectiblePickup "CollectiblePickup" or @ref orxonox::Pickup "Pickup". @ref orxonox::Pickupable "Pickupable" is (as mentioned earlier) the base class of all things that can be picked up, thus of all pickups. @ref orxonox::CollectiblePickup "CollectiblePickup" is a (directly) derived class of @ref orxonox::Pickupable  "Pickupable" and provides the additional functionality of enabling your pickup to be used in a @ref orxonox::PickupCollection "PickupCollection". However you are probably going to want to derive your class form @ref orxonox::Pickup "Pickup", because it is a @ref orxonox::CollectiblePickup "CollectiblePickup" and provides some useful methods. So have a look at @ref orxonox::Pickup "Pickup".
-    Once you have created your new pickup class you have to insert it in the <code>PickupPrereqs.h</code> file in the <code>modules/pickup</code> folder and in the <code>CMakeList.txt</code> file in the <code>modules/pickup/items</code> folder. Also have a look at other pickups to make sure you include all the necessary files in your class.
-
-    @subsection ChoosingTheCarriers Coosing the carriers
-    You also have to choose the entities that are allowed to pick your pickup up. After you have chosen the entity that carries your pickup, you need to do the following.
-    - The enity that carries your pickup needs to be derived from the @ref orxonox::PickupCarrier "PickupCarrier" interface. And you need to implement the @ref orxonox::PickupCarrier "PickupCarriers'" virtual functions <code>getCarrierChildren()</code> and <code>getCarrierParent()</code>. These tow methods are needed, because all pickups are initially picked up by a @ref orxonox::Pawn "Pawn" and then handed down to the entity that effectively carries them. With the above mentioned two function just that is accomplished. A hierarchical structure is established with one parent and a set of children, where the @ref orxonox::Pawn "Pawn" is the root node of this hierarchical structure, the only entity with no parent.
-    - Once you have done that you will also want to specify in your pickup which carriers can pick it up, this is done via the <code>addTarget()</code> function. So you have to make sure the target is added whenever one of your pickups is created (so, most conveniently somewhere in the constructor), with the following command.
-    @code
-    this->addTarget(ClassIdentifier<MyCarrierClass>::getIdentifier());
-    @endcode
-
-    @subsection CreatingTheInnerWorkings Creating the inner workings of your pickup
-    Now that we have the skeleton of a pickup and we have defined which carriers are allowed to pick our pickup up we are going to take a look at all the methods we can (or sometimes have to) overload from @ref orxonox::Pickupable "Pickupable", for our pickup to work properly. But first I will introduce some more concepts to make the need for these methods more obvious.
-    - Since one pickup class can by itself be many pickup types, we need a way to find out whether a particular instance of a pickup is of the same type as another instance of a pickup. To that end the @ref orxonox::PickupIdentifier "PickupIdentifier" was created. The @ref orxonox::PickupIdentifier "PickupIdentifier" accounts for the type of class your pickup is of and also for the parameters (and their values) that distinguish different types of pickups of the same class. Much of the functionality of the pickup module relies on this identifier being correct, thus it is very important to initialize it correctly. (We will see, how that is done in a short while.)
-    - Every @ref orxonox::Pickupable "Pickupable" has at least two states which are very important. The first is, whether the @ref orxonox::Pickupable "Pickupable" is currently in use or not and the second is whether the pickup is currently picked up or not.
-
-    Let's have a look at the important methods.
-    - <b>changedUsed()</b> The <code>changedUsed()</code> method is called whenever the state of the @ref orxonox::Pickupable "Pickupable" transits from being used to not being used or the other way around. Which means this method is probably the most important method you have at your fingertips, since it enables you to apply the effect of your pickup when it gets used and remove the effect as soon as it is no longer in use.
-    - <b>changedPickedUp()</b> The <code>changedPickedUp()</code> method is called whenever the state of the @ref orxonox::Pickupable "Pickupable" changes from being picked up to not being picked up or the other way around. For example if you want your pickup to be used as soon as it is picked up, this is the method you have to overload to achieve that behavior (or just let your pickup be derived from @ref orxonox::Pickup "Pickup", which implements exactly that behavior, if the <em>activationType</em> is set to <em>immediate</em>). You don't have to concern yourself with destroying the pickup or creating a spawner when it changes to not picked up, since that is already implemented with the @ref orxonox::Pickupable "Pickupable" and @ref orxonox::PickupCarrier "PickupCarrier" classes. If you want a different behavior, however, once again, this is the method.
-    - <b>changedCarrier()</b> The <code>changedCarrier()</code> method is called whenever the carrier of the @ref orxonox::Pickupable "Pickupable" changes. And by that I don't mean the class that is allowed to carry the pickup, but the object that actually carries (or carried) the pickup. Please do not overload this class to implement behavior for picked up -> not picked up transitions, use <code>changedPickedUp()</code> for that. For most pickup classes this method doesn't need to be overloaded. Where it is used, however is in the @ref orxonox::PickupCollection "PickupCollection" class, where the new carrier needed to be communicated to all pickups the collection consists of, whenever the carrier was changed.
-
-    Please be aware, that these three methods are methods registered with @ref Super.h "Super", meaning, that whenever overloading them, don't forget to call <code>SUPER(MyClass, myMethod);</code>.
-    Also when implementing the above methods you should think of what should happen in unexpected situations, e.g. when your pickup is unused manually and set to used again.
-    Additionally you should use the <code>destroy()</code> method of Pickupable instead of the method provided by @ref orxonox::OrxonoxClass "OrxonoxClass", meaning <code>Pickupable::destroy()</code> instead of plain <code>destroy()</code>.
-
-    - <b>clone()</b> The <code>clone()</code> method creates a new pickup of the same type as the pickup it is cloned from. So the cloned pickup is not exactly the same, as it doesn't necessarily completely reflect the status of the pickup it is cloned from, but it reflects all the parameters and their values, that distinguish different types of this pickup class. It needs to be implemented by every pickup class. And it is best if this is done in a very specific way. Below is shown how:
-    @code
-    void MyPickup::clone(OrxonoxClass*& item)
-    {
-        if(item == NULL)
-            item = new MyPickup(this);
-
-        SUPER(MyPickup, clone, item);
-
-        MyPickup* pickup = dynamic_cast<MyPickup*>(item);
-        // Here you should set all the important parameters (that distinguish the different types of this pickup), e.g.
-        pickup->setSomeParameter(this->getSomeParameter());
-        // You must also initialize the identifier of the new pickup, this is normally done in a member function called in
-        pickup->initializeIdentifier();
-    }
-    @endcode
-    - <b>initializeIdentifier()</b> The <code>initializeIdentifier()</code> method initializes (or more simply put, creates) the @ref orxonox::PickupIdentifier "PickupIdentifier" of the instance of your pickup. Since the important values of the parameters are not yet available in the constructor of your pickup this <code>initializeIdentifier()</code> method must be called as soon as they are available, which normally is in the <code>XMLPort()</code> method, and the <code>clone()</code> method, as seen above. In the <code>initializeIdentifier()</code> method you need to register each parameter that is important for the type of your pickup to its identifier, this is normally done as follows:
-    @code
-    void Pickup::initializeIdentifier(void)
-    {
-        // If the get method returns a string.
-        std::string val1 = this->getSomeParameter();
-        std::string type1 = "someParameter";
-        this->pickupIdentifier_->addParameter(type1, val1);
-        // If the get method doesn't return a string
-        std::stringstream stream;
-        stream << this->getSomeOtherParameter();
-        std::string type2 = "someOtherParameter";
-        std::string val2 = stream.str();
-        this->pickupIdentifier_->addParameter(type2, val2);
-    }
-    @endcode
-
-    Be aware, this only works for parameters that are simple enough, meaning with pointers for example it will, naturally, not work, and other ways must be found (this is for example done in @ref orxonox::PickupCollection "PickupCollection" with a derived class of the @ref orxonox::PickupIdentifier "PickupIdentifier", the @ref orxonox::PickupCollectionIdentifier "PickupCollectionIdentifier") or in the @ref orxonox::DronePickup "DronePickup" class by using a @ref orxonox::Template "Template".
-    - <b>createSpawner()</b> The <code>createSpawner()</code> method needs to be implemented by any pickup directly inheriting from @ref orxonox::Pickupable "Pickupable" (or directly from @ref orxonox::CollectiblePickup "CollectiblePickup"), so if you inherit from @ref orxonox::Pickup "Pickup", you don't need to implement this. It is used to create a @ref orxonox::PickupSpawner "PickupSpawner", when the pickup is dropped. A standard implementation would look like this.
-    @code
-    bool MyPickup::createSpawner(void)
-    {
-        new DroppedPickup(this, this, this->getCarrier());
-        return true;
-    }
-    @endcode
-
-    @section PickupTechnicalDetails Technical details
-
-    @image html pickupmodule.png
-*/
-
-/**
-    @defgroup PickupItems Items
-    @ingroup Pickup
-
-    The actual pickups can be found here.
-*/ 
Index: code/trunk/src/libraries/core/CoreIncludes.h
===================================================================
--- code/trunk/src/libraries/core/CoreIncludes.h	(revision 11098)
+++ code/trunk/src/libraries/core/CoreIncludes.h	(revision 11099)
@@ -125,4 +125,6 @@
     @brief Registers the class in the framework with a given Factory.
     @param ClassName The name of the class
+    @param FactoryInstance An instance of a factory that can create the class
+    @param bLoadable Whether the class is allowed to be loaded through XML
 */
 #define RegisterClassWithFactory(ClassName, FactoryInstance, bLoadable) \
@@ -201,8 +203,8 @@
         @note This of course only works with Identifiables.
               The only use is in conjunction with macros that don't know the class type.
-        @param object Pointer to an Identifiable
+        @param p Pointer to an Identifiable
     */
     template <class T>
-    inline Identifier* ClassByObjectType(const T*)
+    inline Identifier* ClassByObjectType(const T* p)
     {
         return ClassIdentifier<T>::getIdentifier();
Index: code/trunk/src/libraries/core/GUIManager.cc
===================================================================
--- code/trunk/src/libraries/core/GUIManager.cc	(revision 11098)
+++ code/trunk/src/libraries/core/GUIManager.cc	(revision 11099)
@@ -793,5 +793,30 @@
     }
 
-    /** Executes a CEGUI function normally, but catches CEGUI::ScriptException.
+    /**
+    @copydoc protectedCeguiSystemCall
+    @param function
+        Any callable object/function that takes one parameter.
+    @param object
+        Object to be used as an argument for the @p function
+    @return
+        True if input was handled, false otherwise. A caught exception yields true.
+    */
+    template <typename FunctionType, typename ObjectType>
+    bool GUIManager::protectedCall(FunctionType function, ObjectType object)
+    {
+        try
+        {
+            return function(object);
+        }
+        catch (CEGUI::ScriptException& ex)
+        {
+            // Display the error and proceed. See @remarks why this can be dangerous.
+            orxout(internal_error) << ex.getMessage() << endl;
+            return true;
+        }
+    }
+
+    /**
+        Executes a CEGUI function normally, but catches CEGUI::ScriptException.
         When a ScriptException occurs, the error message will be displayed and
         the program carries on.
@@ -808,19 +833,4 @@
         True if input was handled, false otherwise. A caught exception yields true.
     */
-    template <typename FunctionType, typename ObjectType>
-    bool GUIManager::protectedCall(FunctionType function, ObjectType object)
-    {
-        try
-        {
-            return function(object);
-        }
-        catch (CEGUI::ScriptException& ex)
-        {
-            // Display the error and proceed. See @remarks why this can be dangerous.
-            orxout(internal_error) << ex.getMessage() << endl;
-            return true;
-        }
-    }
-
     template <typename FunctionType>
     bool GUIManager::protectedCeguiSystemCall(FunctionType function)
Index: code/trunk/src/libraries/core/class/IdentifierManager.cc
===================================================================
--- code/trunk/src/libraries/core/class/IdentifierManager.cc	(revision 11098)
+++ code/trunk/src/libraries/core/class/IdentifierManager.cc	(revision 11099)
@@ -255,5 +255,5 @@
     /**
         @brief Returns the Identifier with a given typeid-name.
-        @param name The typeid-name of the wanted Identifier
+        @param typeInfo The type_info of the wanted Identifier
         @return The Identifier
     */
Index: code/trunk/src/libraries/core/command/CommandExecutor.cc
===================================================================
--- code/trunk/src/libraries/core/command/CommandExecutor.cc	(revision 11098)
+++ code/trunk/src/libraries/core/command/CommandExecutor.cc	(revision 11099)
@@ -67,4 +67,5 @@
         @param command A string containing the command
         @param useTcl If true, the command is passed to tcl (see TclBind)
+        @param printErrors If true, print an error when command failed
         @return Returns the error-code (see @ref CommandExecutorErrorCodes "error codes")
     */
Index: code/trunk/src/libraries/core/command/ConsoleCommandCompilation.cc
===================================================================
--- code/trunk/src/libraries/core/command/ConsoleCommandCompilation.cc	(revision 11098)
+++ code/trunk/src/libraries/core/command/ConsoleCommandCompilation.cc	(revision 11099)
@@ -100,4 +100,5 @@
         @brief Prints text to the console.
         @param level_name The name of the output level
+        @param text The text to print
     */
     void orxout_level(const std::string& level_name, const std::string& text)
@@ -119,4 +120,5 @@
         @param level_name The name of the output level
         @param context_name The name of the output context
+        @param text The text to print
     */
     void orxout_level_context(const std::string& level_name, const std::string& context_name, const std::string& text)
Index: code/trunk/src/libraries/core/commandline/CommandLineIncludes.h
===================================================================
--- code/trunk/src/libraries/core/commandline/CommandLineIncludes.h	(revision 11098)
+++ code/trunk/src/libraries/core/commandline/CommandLineIncludes.h	(revision 11099)
@@ -30,5 +30,4 @@
     @defgroup CmdArgs Commandline arguments
     @ingroup Config
-    @brief For a reference of all commandline arguments see @ref cmdargspage
 */
 
Index: code/trunk/src/libraries/core/commandline/CommandLineParser.cc
===================================================================
--- code/trunk/src/libraries/core/commandline/CommandLineParser.cc	(revision 11098)
+++ code/trunk/src/libraries/core/commandline/CommandLineParser.cc	(revision 11099)
@@ -218,6 +218,4 @@
     @param value
         String containing the value
-    @param bParsingFile
-        Parsing a file or the command line itself
     */
     void CommandLineParser::checkFullArgument(const std::string& name, const std::string& value)
@@ -237,6 +235,4 @@
     @param value
         String containing the value
-    @param bParsingFile
-        Parsing a file or the command line itself
     */
     void CommandLineParser::checkShortcut(const std::string& shortcut, const std::string& value)
Index: code/trunk/src/libraries/core/commandline/CommandLineParser.h
===================================================================
--- code/trunk/src/libraries/core/commandline/CommandLineParser.h	(revision 11098)
+++ code/trunk/src/libraries/core/commandline/CommandLineParser.h	(revision 11099)
@@ -26,10 +26,4 @@
  *
  */
-
-/**
-    @defgroup CmdArgs Commandline arguments
-    @ingroup Config
-    @brief For a reference of all commandline arguments see @ref cmdargspage
-*/
 
 /**
Index: code/trunk/src/libraries/core/config/ConfigValueContainer.h
===================================================================
--- code/trunk/src/libraries/core/config/ConfigValueContainer.h	(revision 11098)
+++ code/trunk/src/libraries/core/config/ConfigValueContainer.h	(revision 11099)
@@ -109,5 +109,5 @@
             */
             template <class D, class V>
-            ConfigValueContainer(ConfigFileType::Value type, Identifier* identifier, const std::string& sectionname, const std::string& varname, const D& defvalue, const V&)
+            ConfigValueContainer(ConfigFileType::Value type, Identifier* identifier, const std::string& sectionname, const std::string& varname, const D& defvalue, const V& value)
             {
                 this->init(type, identifier, sectionname, varname);
@@ -125,5 +125,5 @@
             */
             template <class D, class V>
-            ConfigValueContainer(ConfigFileType::Value type, Identifier* identifier, const std::string& sectionname, const std::string& varname, const std::vector<D>& defvalue, const std::vector<V>&)
+            ConfigValueContainer(ConfigFileType::Value type, Identifier* identifier, const std::string& sectionname, const std::string& varname, const std::vector<D>& defvalue, const std::vector<V>& value)
             {
                 this->init(type, identifier, sectionname, varname);
Index: code/trunk/src/libraries/core/object/IteratorBase.h
===================================================================
--- code/trunk/src/libraries/core/object/IteratorBase.h	(revision 11098)
+++ code/trunk/src/libraries/core/object/IteratorBase.h	(revision 11099)
@@ -173,5 +173,5 @@
             /**
                 @brief Increments the Iterator if it points at the given element.
-                @param object The object to compare with
+                @param element The element to compare with
             */
             virtual void removedElement(ObjectListBaseElement* element) override
Index: code/trunk/src/libraries/core/object/ObjectListBase.h
===================================================================
--- code/trunk/src/libraries/core/object/ObjectListBase.h	(revision 11098)
+++ code/trunk/src/libraries/core/object/ObjectListBase.h	(revision 11099)
@@ -55,5 +55,5 @@
             /**
                 @brief Constructor: Creates the list-element with an object.
-                @param objectBase The object to store
+                @param object The object to store
             */
             ObjectListBaseElement(Listable* object) : next_(nullptr), prev_(nullptr), objectBase_(object), list_(nullptr) {}
Index: code/trunk/src/libraries/network/MasterServerComm.h
===================================================================
--- code/trunk/src/libraries/network/MasterServerComm.h	(revision 11098)
+++ code/trunk/src/libraries/network/MasterServerComm.h	(revision 11099)
@@ -88,5 +88,5 @@
       int sendRequest( std::string data );
 
-      /** \param callback The callback function to call with data received.
+      /** \param listener The listener to call with data received.
        *  \param delayms Delay in milliseconds.
        * \return 0 for success, other for error
Index: code/trunk/src/libraries/network/ServerList.h
===================================================================
--- code/trunk/src/libraries/network/ServerList.h	(revision 11098)
+++ code/trunk/src/libraries/network/ServerList.h	(revision 11099)
@@ -74,4 +74,5 @@
       /* BASIC MANIPULATION */
       /** \param toadd the server to add.
+       *  \param peer the peer
        *
        * Add server to the game server list
Index: code/trunk/src/libraries/tools/BulletDebugDrawer.cc
===================================================================
--- code/trunk/src/libraries/tools/BulletDebugDrawer.cc	(revision 11098)
+++ code/trunk/src/libraries/tools/BulletDebugDrawer.cc	(revision 11099)
@@ -1,3 +1,4 @@
 /**
+ * @file BulletDebugDrawer.cc
  * Originally from http://www.ogre3d.org/tikiwiki/BulletDebugDrawer&structure=Cookbook
  * This source code is released into the Public Domain.
Index: code/trunk/src/libraries/tools/BulletDebugDrawer.h
===================================================================
--- code/trunk/src/libraries/tools/BulletDebugDrawer.h	(revision 11098)
+++ code/trunk/src/libraries/tools/BulletDebugDrawer.h	(revision 11099)
@@ -1,9 +1,2 @@
-/**
- * Originally from http://www.ogre3d.org/tikiwiki/BulletDebugDrawer&structure=Cookbook
- * This source code is released into the Public Domain.
- *
- * Modified by Fabian 'x3n' Landau by using DebugDrawer and Orxonox specific utilities (e.g. output).
- */
-
 #ifndef _BulletDebugDrawer_H__
 #define _BulletDebugDrawer_H__
@@ -18,4 +11,10 @@
 namespace orxonox
 {
+    /**
+    * Originally from http://www.ogre3d.org/tikiwiki/BulletDebugDrawer&structure=Cookbook
+    * This source code is released into the Public Domain.
+    *
+    * Modified by Fabian 'x3n' Landau by using DebugDrawer and Orxonox specific utilities (e.g. output).
+    */
     class _ToolsExport BulletDebugDrawer : public btIDebugDraw, public Ogre::FrameListener
     {
Index: code/trunk/src/libraries/tools/DebugDrawer.cc
===================================================================
--- code/trunk/src/libraries/tools/DebugDrawer.cc	(revision 11098)
+++ code/trunk/src/libraries/tools/DebugDrawer.cc	(revision 11099)
@@ -1,3 +1,4 @@
 /**
+ * @file DebugDrawer.cc
  * Copy-pasted from
  *  - https://bitbucket.org/hasyimi/ogre-debug-drawing-utility/src
Index: code/trunk/src/libraries/tools/DebugDrawer.h
===================================================================
--- code/trunk/src/libraries/tools/DebugDrawer.h	(revision 11098)
+++ code/trunk/src/libraries/tools/DebugDrawer.h	(revision 11099)
@@ -1,3 +1,4 @@
 /**
+ * @file DebugDrawer.h
  * Copy-pasted from
  *  - https://bitbucket.org/hasyimi/ogre-debug-drawing-utility/src
@@ -9,9 +10,5 @@
  */
 
-/**
- * @file
- * @brief DebugDrawer is a utility to draw debug shapes (lines, triangles, spheres) with Ogre.
- * This utility is e.g. used by @ref BulletDebugDrawer to visualize collision shapes and other physical entities.
- */
+
 
 #ifndef _DebugDrawer_H__
@@ -26,4 +23,8 @@
 namespace orxonox
 {
+    /**
+     * @brief DebugDrawer is a utility to draw debug shapes (lines, triangles, spheres) with Ogre.
+     * This utility is e.g. used by @ref orxonox::BulletDebugDrawer to visualize collision shapes and other physical entities.
+     */
     class _ToolsExport DebugDrawer
     {
Index: code/trunk/src/libraries/tools/IcoSphere.cc
===================================================================
--- code/trunk/src/libraries/tools/IcoSphere.cc	(revision 11098)
+++ code/trunk/src/libraries/tools/IcoSphere.cc	(revision 11099)
@@ -1,3 +1,4 @@
 /**
+ * @file IcoSphere.cc
  * Copy-pasted from
  *  - https://bitbucket.org/hasyimi/ogre-debug-drawing-utility/src
Index: code/trunk/src/libraries/tools/IcoSphere.h
===================================================================
--- code/trunk/src/libraries/tools/IcoSphere.h	(revision 11098)
+++ code/trunk/src/libraries/tools/IcoSphere.h	(revision 11099)
@@ -1,17 +1,3 @@
-/**
- * Copy-pasted from
- *  - https://bitbucket.org/hasyimi/ogre-debug-drawing-utility/src
- *  - http://www.ogre3d.org/tikiwiki/tiki-index.php?page=Debug+Drawing+Utility+Class
- *
- * This source code is released into the Public Domain.
- *
- * Modified by Fabian 'x3n' Landau
- */
 
-/**
- * @file
- * @brief DebugDrawer is a utility to draw debug shapes (lines, triangles, spheres) with Ogre.
- * This utility is e.g. used by @ref BulletDebugDrawer to visualize collision shapes and other physical entities.
- */
 
 #ifndef _IcoSphere_H__
@@ -27,4 +13,13 @@
     typedef std::pair<Ogre::Vector3, Ogre::ColourValue> VertexPair;
 
+    /**
+    * Copy-pasted from
+    *  - https://bitbucket.org/hasyimi/ogre-debug-drawing-utility/src
+    *  - http://www.ogre3d.org/tikiwiki/tiki-index.php?page=Debug+Drawing+Utility+Class
+    *
+    * This source code is released into the Public Domain.
+    *
+    * Modified by Fabian 'x3n' Landau
+    */
     class _ToolsExport IcoSphere
     {
Index: code/trunk/src/libraries/tools/OgreBulletUtils.h
===================================================================
--- code/trunk/src/libraries/tools/OgreBulletUtils.h	(revision 11098)
+++ code/trunk/src/libraries/tools/OgreBulletUtils.h	(revision 11099)
@@ -1,3 +1,4 @@
 /**
+ * @file OgreBulletUtils.h
  * Copy-pasted from http://www.ogre3d.org/tikiwiki/BulletDebugDrawer&structure=Cookbook
  * This source code is released into the Public Domain.
Index: code/trunk/src/libraries/util/Clock.h
===================================================================
--- code/trunk/src/libraries/util/Clock.h	(revision 11098)
+++ code/trunk/src/libraries/util/Clock.h	(revision 11099)
@@ -54,5 +54,4 @@
         caveat because it will only capture the time on the same CPU core.
         Confining the main thread to one process could speed up the game.
-        See \ref cmdargspage "Ccommandline Argument" 'limitToCPU' (only on Windows)
     */
     class _UtilExport Clock
Index: code/trunk/src/libraries/util/Math.cc
===================================================================
--- code/trunk/src/libraries/util/Math.cc	(revision 11098)
+++ code/trunk/src/libraries/util/Math.cc	(revision 11099)
@@ -291,9 +291,9 @@
     /**
                 @brief Gets the new vector after a coordinate transformation
-                @param distance Vector which will be transformed
-                @param mydirection New x basevector
-                @param myorthonormal New y basevector
-                @param otherposition New z basevector
-                @return direction in the new coordinates
+                @param totransform Vector which will be transformed
+                @param newx New x basevector
+                @param newy New y basevector
+                @param newz New z basevector
+                @return Vector in the new coordinates
 
                 x is vector in old coordinates
@@ -307,10 +307,10 @@
                 y = T^(-1)*x
             */
-    orxonox::Vector3 getTransformedVector(const orxonox::Vector3& distance, const orxonox::Vector3& mydirection, const orxonox::Vector3& myorthonormal, const orxonox::Vector3& myside)
+    orxonox::Vector3 getTransformedVector(const orxonox::Vector3& totransform, const orxonox::Vector3& newx, const orxonox::Vector3& newy, const orxonox::Vector3& newz)
     {
         // inverse of the transform matrix
-        float determinant = +mydirection.x * (myorthonormal.y*myside.z - myside.y*myorthonormal.z)
-                            -mydirection.y * (myorthonormal.x*myside.z - myorthonormal.z*myside.x)
-                            +mydirection.z * (myorthonormal.x*myside.y - myorthonormal.y*myside.x);
+        float determinant = +newx.x * (newy.y*newz.z - newz.y*newy.z)
+                            -newx.y * (newy.x*newz.z - newy.z*newz.x)
+                            +newx.z * (newy.x*newz.y - newy.y*newz.x);
         float invdet = 1/determinant;
 
@@ -320,19 +320,19 @@
         orxonox::Vector3 zinvtransform;
 
-        xinvtransform.x = (myorthonormal.y * myside.z        - myside.y        * myorthonormal.z)*invdet;
-        xinvtransform.y = (mydirection.z   * myside.y        - mydirection.y   * myside.z       )*invdet;
-        xinvtransform.z = (mydirection.y   * myorthonormal.z - mydirection.z   * myorthonormal.y)*invdet;
-        yinvtransform.x = (myorthonormal.z * myside.x        - myorthonormal.x * myside.z       )*invdet;
-        yinvtransform.y = (mydirection.x   * myside.z        - mydirection.z   * myside.x       )*invdet;
-        yinvtransform.z = (myorthonormal.x * mydirection.z   - mydirection.x   * myorthonormal.z)*invdet;
-        zinvtransform.x = (myorthonormal.x * myside.y        - myside.x        * myorthonormal.y)*invdet;
-        zinvtransform.y = (myside.x        * mydirection.y   - mydirection.x   * myside.y       )*invdet;
-        zinvtransform.z = (mydirection.x   * myorthonormal.y - myorthonormal.x * mydirection.y  )*invdet;
+        xinvtransform.x = (newy.y * newz.z        - newz.y        * newy.z)*invdet;
+        xinvtransform.y = (newx.z   * newz.y        - newx.y   * newz.z       )*invdet;
+        xinvtransform.z = (newx.y   * newy.z - newx.z   * newy.y)*invdet;
+        yinvtransform.x = (newy.z * newz.x        - newy.x * newz.z       )*invdet;
+        yinvtransform.y = (newx.x   * newz.z        - newx.z   * newz.x       )*invdet;
+        yinvtransform.z = (newy.x * newx.z   - newx.x   * newy.z)*invdet;
+        zinvtransform.x = (newy.x * newz.y        - newz.x        * newy.y)*invdet;
+        zinvtransform.y = (newz.x        * newx.y   - newx.x   * newz.y       )*invdet;
+        zinvtransform.z = (newx.x   * newy.y - newy.x * newx.y  )*invdet;
 
         // coordinate transformation
         orxonox::Vector3 distanceShip;
-        distanceShip.x = xinvtransform.x * distance.x + yinvtransform.x * distance.y + zinvtransform.x * distance.z;
-        distanceShip.y = xinvtransform.y * distance.x + yinvtransform.y * distance.y + zinvtransform.y * distance.z;
-        distanceShip.z = xinvtransform.z * distance.x + yinvtransform.z * distance.y + zinvtransform.z * distance.z;
+        distanceShip.x = xinvtransform.x * totransform.x + yinvtransform.x * totransform.y + zinvtransform.x * totransform.z;
+        distanceShip.y = xinvtransform.y * totransform.x + yinvtransform.y * totransform.y + zinvtransform.y * totransform.z;
+        distanceShip.z = xinvtransform.z * totransform.x + yinvtransform.z * totransform.y + zinvtransform.z * totransform.z;
 
         return distanceShip;
Index: code/trunk/src/modules/docking/DockingAnimation.h
===================================================================
--- code/trunk/src/modules/docking/DockingAnimation.h	(revision 11098)
+++ code/trunk/src/modules/docking/DockingAnimation.h	(revision 11099)
@@ -53,5 +53,5 @@
     /**
     @brief
-        Base class for docking animations used by @ref orxonox::Docking "Docks".
+        Base class for docking animations used by @ref orxonox::Dock "Docks".
 
     @author
Index: code/trunk/src/modules/docking/DockingEffect.h
===================================================================
--- code/trunk/src/modules/docking/DockingEffect.h	(revision 11098)
+++ code/trunk/src/modules/docking/DockingEffect.h	(revision 11099)
@@ -51,5 +51,5 @@
     /**
     @brief
-        Handles DockingEffects for @ref orxonox::Docking "Docks".
+        Handles DockingEffects for @ref orxonox::Dock "Docks".
 
     @author
Index: code/trunk/src/modules/docking/DockingTarget.h
===================================================================
--- code/trunk/src/modules/docking/DockingTarget.h	(revision 11098)
+++ code/trunk/src/modules/docking/DockingTarget.h	(revision 11099)
@@ -45,5 +45,5 @@
     /**
     @brief
-        DockingTargets for @ref orxonox::Docking "Docks".
+        DockingTargets for @ref orxonox::Dock "Docks".
 
     @author
Index: code/trunk/src/modules/docking/MoveToDockingTarget.h
===================================================================
--- code/trunk/src/modules/docking/MoveToDockingTarget.h	(revision 11098)
+++ code/trunk/src/modules/docking/MoveToDockingTarget.h	(revision 11099)
@@ -46,5 +46,5 @@
     /**
     @brief
-        Base class for docking animations used by @ref orxonox::Docking "Docks".
+        Base class for docking animations used by @ref orxonox::Dock "Docks".
 
     @author
Index: code/trunk/src/modules/gametypes/SpaceRaceController.cc
===================================================================
--- code/trunk/src/modules/gametypes/SpaceRaceController.cc	(revision 11098)
+++ code/trunk/src/modules/gametypes/SpaceRaceController.cc	(revision 11099)
@@ -24,15 +24,4 @@
  */
 
-/**
- * Conventions:
- * -first Checkpoint has index 0
- * -staticCheckPoint= static Point (see def over = constructor)
- */
-
-/*TODO:
- * tICK KORRIGIEREN
- *
- *
- */
 #include <gametypes/SpaceRaceController.h>
 #include "core/CoreIncludes.h"
Index: code/trunk/src/modules/gametypes/SpaceRaceController.h
===================================================================
--- code/trunk/src/modules/gametypes/SpaceRaceController.h	(revision 11098)
+++ code/trunk/src/modules/gametypes/SpaceRaceController.h	(revision 11099)
@@ -36,4 +36,11 @@
 namespace orxonox
 {
+    /**
+     * Conventions:
+     * -first Checkpoint has index 0
+     * -staticCheckPoint= static Point (see def over = constructor)
+     *@todo:
+     *  tICK KORRIGIEREN
+     */
     class _GametypesExport SpaceRaceController: public ArtificialController,
             public Tickable
Index: code/trunk/src/modules/hover/HoverFlag.cc
===================================================================
--- code/trunk/src/modules/hover/HoverFlag.cc	(revision 11098)
+++ code/trunk/src/modules/hover/HoverFlag.cc	(revision 11099)
@@ -80,4 +80,6 @@
     @param yCoordinate
         Y-Coordinate of the flage, 0-9, origin is bottom left
+    @param cellSize
+        The size of the cells
     */
     void HoverFlag::init(int xCoordinate, int yCoordinate, int cellSize)
Index: code/trunk/src/modules/hover/HoverOrigin.h
===================================================================
--- code/trunk/src/modules/hover/HoverOrigin.h	(revision 11098)
+++ code/trunk/src/modules/hover/HoverOrigin.h	(revision 11099)
@@ -41,65 +41,5 @@
         The HoverOrigin implements the playing field @ref orxonox::Hover "Hover" takes place in and allows for many parameters of the minigame to be set.
         The playing field resides in the x,z-plane, with the x-axis being the horizontal axis and the z-axis being the vertical axis.
-        
-        Various parameters can be set:
-        - The <b>dimension</b> is a vector, that defines the width and height of the playing field. The default is <em>(200, 120)</em>.
-        - The <b>balltemplate</b> is a template that is applied to the @ref orxonox::HoverPlatform "HoverPlatform", it can be used to attach different things to it, e.g. its @ref orxonox::Model "Model". See below for a usage example.
-        - The <b>battemplate</b> is a template that is applied to the @ref orxonox::HoverPlatform "HoverFigure", it can be used to attach different things to it, e.g. its @ref orxonox::Model "Model". See below for a usage example.
-        - The <b>ballspeed</b> is the speed with which the @ref orxonox::HoverPlatform "HoverPlatform" moves. The default is <em>100</em>.
-        - The <b>ballaccfactor</b> is the acceleration factor for the @ref orxonox::HoverPlatform "HoverPlatform". The default is <em>1.0</em>.
-        - The <b>batspeed</b> is the speed with which the @ref orxonox::HoverFigure "HoverFigures" move. The default is <em>60</em>.
-        - The <b>batlength</b> is the length of the @ref orxonox::HoverFigure "HoverFigures" as the percentage of the height of the playing field. The default is <em>0.25</em>.
-        
-        An example in XML of the HoverOrigin would be:
-        
-        First the needed templates:
-        The template for the @ref orxonox::HoverPlatform "HoverPlatform".
-        @code
-        <Template name="Hoverball">
-          <HoverPlatform>
-            <attached>
-              <Model mesh="sphere.mesh" scale="2" />
-              <ParticleSpawner name="hiteffect" position="0,0,0" source="Orxonox/sparks2" lifetime="0.01" autostart="0" mainstate="spawn" />
-            </attached>
-            <eventlisteners>
-              <EventTarget target="hiteffect" />
-            </eventlisteners>
-          </HoverPlatform>
-        </Template>
-        @endcode
-        As can be seen, a sphere is attached as the @ref orxonox::Model "Model" for the @ref orxonox::HoverPlatform "HoverPlatform", and also an @ref orxonox::EventListener "EventListener" that triggers a @ref orxonox::ParticleSpawner "ParticleSpawner", whenever the ball hits the boundaries is attached.
-        
-        Additionally the template for the @ref orxonox::HoverFigure "HoverFigure".
-        @code
-        <Template name="Hoverbatcameras" defaults="0">
-          <HoverFigure>
-            <camerapositions>
-              <CameraPosition position="0,200,0" pitch="-90" absolute="true" />
-            </camerapositions>
-          </HoverFigure>
-        </Template>
-
-        <Template name="Hoverbat">
-          <HoverFigure camerapositiontemplate=Hoverbatcameras>
-            <attached>
-              <Model position="0,0,3" mesh="cube.mesh" scale3D="14,2,2" />
-            </attached>
-          </HoverFigure>
-        </Template>
-        @endcode
-        As can be seen, there are actually two templates. The first template is needed to set the camera for the @ref orxonox::HoverFigure "HoverFigure". The second template ist the actual template for the @ref orxonox::HoverFigure "HoverFigure", the template for the camera position is added and a @ref orxonox::Model "Model" for the @ref orxonox::HoverFigure "HoverFigure" is attached.
-        propellerTemplate_
-        Finally the HoverOrigin is created.
-        @code
-        <HoverOrigin name="Hovercenter" dimension="200,120" balltemplate="Hoverball" battemplate="Hoverbat" ballspeed="200" ballaccfactor="1.0" batspeed="130" batlength="0.25">
-          <attached>
-            <Model position="0,0,60" mesh="cube.mesh" scale3D="105,1,1" />
-            <Model position="0,0,-60" mesh="cube.mesh" scale3D="105,1,1" />
-          </attached>
-        </HoverOrigin>
-        @endcode
-        All parameters are specified. And also two @ref orxonox::Model "Models" (for the upper and lower boundary) are attached.
-        
-        For a more elaborate example, have a look at the <code>Hover.oxw</code> level file.
+        For an example, have a look at the <code>Hover.oxw</code> level file.
 
     */
Index: code/trunk/src/modules/hover/HoverWall.cc
===================================================================
--- code/trunk/src/modules/hover/HoverWall.cc	(revision 11098)
+++ code/trunk/src/modules/hover/HoverWall.cc	(revision 11099)
@@ -76,4 +76,8 @@
     @param y
         y-Coordinate of the Square that the Wall is attached to, 0-9, Origin is Bottom left
+    @param cellSize
+        The size of a cell
+    @param cellHeight
+        The height of a cell
     @param orientation
             Wall on the right side (1) or on top (2) of this square, 0-1        
Index: code/trunk/src/modules/jump/JumpEnemy.cc
===================================================================
--- code/trunk/src/modules/jump/JumpEnemy.cc	(revision 11098)
+++ code/trunk/src/modules/jump/JumpEnemy.cc	(revision 11099)
@@ -139,10 +139,4 @@
     }
 
-    /**
-    @brief
-        Set the bats for the ball.
-    @param bats
-        An array (of size 2) of weak pointers, to be set as the new bats.
-    */
     void JumpEnemy::setFigure(JumpFigure* newFigure)
     {
Index: code/trunk/src/modules/mini4dgame/Mini4DgameBoard.cc
===================================================================
--- code/trunk/src/modules/mini4dgame/Mini4DgameBoard.cc	(revision 11098)
+++ code/trunk/src/modules/mini4dgame/Mini4DgameBoard.cc	(revision 11099)
@@ -72,6 +72,6 @@
 
     /**
-        @brief checks if the move is valid
-        @param the position where to put the stone plus the player who makes the move
+        @brief Checks if the move is valid
+        @param move The position where to put the stone
     */
     bool Mini4DgameBoard::isValidMove(const Mini4DgamePosition& move)
@@ -98,5 +98,5 @@
     /**
     @brief makes a move on the logic playboard
-    @param the position where to put the stone plus the player who makes the move
+    @param move The position where to put the stone
     */
     void Mini4DgameBoard::makeMove(const Mini4DgamePosition& move)
Index: code/trunk/src/modules/notifications/NotificationDispatcher.h
===================================================================
--- code/trunk/src/modules/notifications/NotificationDispatcher.h	(revision 11098)
+++ code/trunk/src/modules/notifications/NotificationDispatcher.h	(revision 11099)
@@ -103,5 +103,5 @@
             /**
             @brief Set the NotificationDispatcher to broadcast.
-            @param broadcast Whether the NotificationDispatcher is set to broadcast or singlecast.
+            @param v Whether the NotificationDispatcher is set to broadcast or singlecast.
             */
             void setBroadcasting(bool v)
Index: code/trunk/src/modules/notifications/NotificationQueue.cc
===================================================================
--- code/trunk/src/modules/notifications/NotificationQueue.cc	(revision 11098)
+++ code/trunk/src/modules/notifications/NotificationQueue.cc	(revision 11099)
@@ -49,6 +49,4 @@
     @brief
         Default constructor. Registers and initializes the object.
-    @param creator
-        The creator of the NotificationQueue.
     */
     NotificationQueue::NotificationQueue(Context* context) : BaseObject(context), Synchronisable(context), registered_(false)
@@ -65,21 +63,4 @@
         this->registerVariables();
     }
-
-    // TODO move to docu.
-    /**
-    @brief
-        Constructor. Registers and initializes the object.
-    @param creator
-        The creator of the NotificationQueue
-    @param name
-        The name of the new NotificationQueue. It needs to be unique
-    @param senders
-        The senders that are targets of this NotificationQueue, i.e. the names of senders whose Notifications this NotificationQueue displays.
-        The senders need to be seperated by commas.
-    @param size
-        The size (the maximum number of displayed Notifications) of this NotificationQueue.
-    @param displayTime
-        The time during which a Notification is (at most) displayed.
-    */
 
     /**
Index: code/trunk/src/modules/objects/Script.cc
===================================================================
--- code/trunk/src/modules/objects/Script.cc	(revision 11098)
+++ code/trunk/src/modules/objects/Script.cc	(revision 11099)
@@ -58,6 +58,4 @@
     @brief
         Constructor. Registers and initializes the object.
-    @param creator
-        The creator of this object.
     */
     Script::Script(Context* context) : BaseObject(context)
Index: code/trunk/src/modules/objects/Turret.h
===================================================================
--- code/trunk/src/modules/objects/Turret.h	(revision 11098)
+++ code/trunk/src/modules/objects/Turret.h	(revision 11099)
@@ -28,4 +28,5 @@
 
 /**
+    @file Turret.h
     @brief Definition of the Turret class.
     @ingroup Objects
Index: code/trunk/src/modules/objects/controllers/TurretController.h
===================================================================
--- code/trunk/src/modules/objects/controllers/TurretController.h	(revision 11098)
+++ code/trunk/src/modules/objects/controllers/TurretController.h	(revision 11099)
@@ -26,8 +26,4 @@
  *
  */
-
-/**
-    @brief Definition for the controller for turrets.
-*/
 
 #ifndef _TurretController_H__
Index: code/trunk/src/modules/objects/triggers/DistanceTrigger.cc
===================================================================
--- code/trunk/src/modules/objects/triggers/DistanceTrigger.cc	(revision 11098)
+++ code/trunk/src/modules/objects/triggers/DistanceTrigger.cc	(revision 11099)
@@ -54,6 +54,4 @@
     @brief
         Constructor. Registers and initializes the object.
-    @param creator
-        The creator of this trigger.
     */
     DistanceTrigger::DistanceTrigger(Context* context) : Trigger(context)
Index: code/trunk/src/modules/objects/triggers/DistanceTriggerBeacon.cc
===================================================================
--- code/trunk/src/modules/objects/triggers/DistanceTriggerBeacon.cc	(revision 11098)
+++ code/trunk/src/modules/objects/triggers/DistanceTriggerBeacon.cc	(revision 11099)
@@ -45,6 +45,4 @@
     @brief
         Constructor. Registers the object.
-    @param creator
-        The creator of this object.
     */
     DistanceTriggerBeacon::DistanceTriggerBeacon(Context* context) : StaticEntity(context)
Index: code/trunk/src/modules/objects/triggers/EventTrigger.cc
===================================================================
--- code/trunk/src/modules/objects/triggers/EventTrigger.cc	(revision 11098)
+++ code/trunk/src/modules/objects/triggers/EventTrigger.cc	(revision 11099)
@@ -45,6 +45,4 @@
     @brief
         Constructor. Registers and initializes the object.
-    @param creator
-        The creator of the EventTrigger.
     */
     EventTrigger::EventTrigger(Context* context) : Trigger(context)
Index: code/trunk/src/modules/objects/triggers/MultiTrigger.cc
===================================================================
--- code/trunk/src/modules/objects/triggers/MultiTrigger.cc	(revision 11098)
+++ code/trunk/src/modules/objects/triggers/MultiTrigger.cc	(revision 11099)
@@ -48,6 +48,4 @@
     @brief
         Constructor. Registers the objects and initializes default values.
-    @param creator
-        The creator.
     */
     MultiTrigger::MultiTrigger(Context* context) : TriggerBase(context)
Index: code/trunk/src/modules/objects/triggers/MultiTriggerContainer.cc
===================================================================
--- code/trunk/src/modules/objects/triggers/MultiTriggerContainer.cc	(revision 11098)
+++ code/trunk/src/modules/objects/triggers/MultiTriggerContainer.cc	(revision 11099)
@@ -47,6 +47,4 @@
     @brief
         Default constructor. Registers the object and creates an empty container.
-    @param creator
-        The creator.
     */
     MultiTriggerContainer::MultiTriggerContainer(Context* context) : BaseObject(context), originator_(nullptr), data_(nullptr)
@@ -58,6 +56,6 @@
     @brief
         Constructor. Registers the object and sets the input values.
-    @param creator
-        The creator.
+    @param context
+        The context.
     @param originator
         A pointer to the originator of the Event, i.e. the MultiTrigger that fired the Event. (or is about to fire)
Index: code/trunk/src/modules/objects/triggers/Trigger.cc
===================================================================
--- code/trunk/src/modules/objects/triggers/Trigger.cc	(revision 11098)
+++ code/trunk/src/modules/objects/triggers/Trigger.cc	(revision 11099)
@@ -51,6 +51,4 @@
     @brief
         Constructor. Registers and initializes the object.
-    @param creator
-        The creator of the Trigger.
     */
     Trigger::Trigger(Context* context) : TriggerBase(context)
Index: code/trunk/src/modules/pickup/Pickup.cc
===================================================================
--- code/trunk/src/modules/pickup/Pickup.cc	(revision 11098)
+++ code/trunk/src/modules/pickup/Pickup.cc	(revision 11099)
@@ -53,6 +53,4 @@
     @brief
         Constructor. Registers and initializes the object.
-    @param creator
-        The objects creator.
     */
     Pickup::Pickup(Context* context) : BaseObject(context)
Index: code/trunk/src/modules/pickup/PickupCollection.cc
===================================================================
--- code/trunk/src/modules/pickup/PickupCollection.cc	(revision 11098)
+++ code/trunk/src/modules/pickup/PickupCollection.cc	(revision 11099)
@@ -50,6 +50,4 @@
     @brief
         Default Constructor.
-    @param creator
-        The creator of the object.
     */
     PickupCollection::PickupCollection(Context* context) : BaseObject(context)
Index: code/trunk/src/modules/pickup/PickupManager.cc
===================================================================
--- code/trunk/src/modules/pickup/PickupManager.cc	(revision 11098)
+++ code/trunk/src/modules/pickup/PickupManager.cc	(revision 11099)
@@ -335,4 +335,6 @@
     @param representationObjectId
         The objectId identifying (over the network) the PickupRepresentation that represents this Pickupable.
+    @param representationName
+        The name of the associated PickupRepresentation
     @param pickedUp
         The pickedUp status the Pickupable changed to.
Index: code/trunk/src/modules/pickup/PickupSpawner.cc
===================================================================
--- code/trunk/src/modules/pickup/PickupSpawner.cc	(revision 11098)
+++ code/trunk/src/modules/pickup/PickupSpawner.cc	(revision 11099)
@@ -52,6 +52,4 @@
     @brief
         Constructor. Creates a blank PickupSpawner.
-    @param creator
-        Pointer to the object which created this item.
     */
     PickupSpawner::PickupSpawner(Context* context) : StaticEntity(context), pickup_(nullptr), representation_(nullptr), pickupTemplate_(nullptr)
@@ -90,6 +88,6 @@
     @brief
         Factory method, Creates a fully functional PickupSpawner.
-    @param creator
-        The creator of this PickupSpawner.
+    @param context
+        The context of this PickupSpawner.
     @param pickup
         The Pickupable to be spawned by this PickupSpawner.
Index: code/trunk/src/modules/pickup/items/DamageBoostPickup.h
===================================================================
--- code/trunk/src/modules/pickup/items/DamageBoostPickup.h	(revision 11098)
+++ code/trunk/src/modules/pickup/items/DamageBoostPickup.h	(revision 11099)
@@ -68,6 +68,5 @@
 
             /**
-             @brief set Damage multiplier
-             @param multiplier The default damage multiplier to set
+             @brief Get Damage multiplier
              */
             inline float getDamageMultiplier()
Index: code/trunk/src/modules/tetris/TetrisCenterpoint.h
===================================================================
--- code/trunk/src/modules/tetris/TetrisCenterpoint.h	(revision 11098)
+++ code/trunk/src/modules/tetris/TetrisCenterpoint.h	(revision 11099)
@@ -105,5 +105,5 @@
             /**
             @brief Set the template for the stones.
-            @param template The template name to be applied to each stone.
+            @param templateName The template name to be applied to each stone.
             */
             void setStoneTemplate(const std::string& templateName)
@@ -118,5 +118,5 @@
             /**
             @brief Set the template for the bricks.
-            @param template The template name to be applied to each brick.
+            @param templateName The template name to be applied to each brick.
             */
             void setBrickTemplate(const std::string& templateName)
Index: code/trunk/src/modules/towerdefense/TowerDefense.h
===================================================================
--- code/trunk/src/modules/towerdefense/TowerDefense.h	(revision 11098)
+++ code/trunk/src/modules/towerdefense/TowerDefense.h	(revision 11099)
@@ -27,11 +27,4 @@
  */
 
- /**
-    @brief
-        GameType class for TowerDefense. See TowerDefenseReadme.txt for Information.
-
-    @ingroup TowerDefense
- */
-
 
 #ifndef _TowerDefense_H__
@@ -47,4 +40,10 @@
 namespace orxonox
 {
+    /**
+    @brief
+    GameType class for TowerDefense. See TowerDefenseReadme.txt for Information.
+
+    @ingroup TowerDefense
+    */
     class _TowerDefenseExport TowerDefense : public TeamDeathmatch
     {
Index: code/trunk/src/modules/towerdefense/TowerDefenseCenterpoint.h
===================================================================
--- code/trunk/src/modules/towerdefense/TowerDefenseCenterpoint.h	(revision 11098)
+++ code/trunk/src/modules/towerdefense/TowerDefenseCenterpoint.h	(revision 11099)
@@ -27,10 +27,4 @@
  */
 
-/**
- @brief
- See TowerDefenseReadme.txt for Information.
- @ingroup TowerDefense
- */
-
 
 #ifndef _TowerDefenseCenterpoint_H__
@@ -46,4 +40,9 @@
 namespace orxonox
 {
+    /**
+    @brief
+    See TowerDefenseReadme.txt for Information.
+    @ingroup TowerDefense
+    */
     class _TowerDefenseExport TowerDefenseCenterpoint : public MobileEntity
     {
Index: code/trunk/src/modules/towerdefense/TowerDefenseEnemy.cc
===================================================================
--- code/trunk/src/modules/towerdefense/TowerDefenseEnemy.cc	(revision 11098)
+++ code/trunk/src/modules/towerdefense/TowerDefenseEnemy.cc	(revision 11099)
@@ -5,10 +5,4 @@
 //  Created by Jonas Erb on 22.10.14.
 
-/**
-@brief
-See TowerDefenseReadme.txt for Information.
-
-@ingroup TowerDefense
-*/
 #include "TowerDefenseEnemy.h"
 #include "core/CoreIncludes.h"
Index: code/trunk/src/modules/towerdefense/TowerDefenseEnemy.h
===================================================================
--- code/trunk/src/modules/towerdefense/TowerDefenseEnemy.h	(revision 11098)
+++ code/trunk/src/modules/towerdefense/TowerDefenseEnemy.h	(revision 11099)
@@ -5,10 +5,5 @@
 //  Created by Jonas Erb on 22.10.14.
 
-/**
-@brief
-See TowerDefenseReadme.txt for Information.
 
-@ingroup TowerDefense
-*/
 
 
@@ -26,7 +21,10 @@
 namespace orxonox
 {
-/* Class to give the TowerDefenseEnemy spaceships waypoints and
- *
- */
+    /**
+    @brief
+    See TowerDefenseReadme.txt for Information.
+
+    @ingroup TowerDefense
+    */
     class _TowerDefenseExport TowerDefenseEnemy : public SpaceShip
     {
Index: code/trunk/src/modules/towerdefense/TowerDefenseField.h
===================================================================
--- code/trunk/src/modules/towerdefense/TowerDefenseField.h	(revision 11098)
+++ code/trunk/src/modules/towerdefense/TowerDefenseField.h	(revision 11099)
@@ -27,9 +27,4 @@
  */
 
-/**
- @brief
- See TowerDefenseReadme.txt for Information.
- @ingroup TowerDefense
- */
 
 
@@ -56,5 +51,9 @@
     };
 
-
+    /**
+    @brief
+    See TowerDefenseReadme.txt for Information.
+    @ingroup TowerDefense
+    */
     class _TowerDefenseExport TowerDefenseField : public MovableEntity
     {
Index: code/trunk/src/modules/towerdefense/TowerDefenseHUDController.h
===================================================================
--- code/trunk/src/modules/towerdefense/TowerDefenseHUDController.h	(revision 11098)
+++ code/trunk/src/modules/towerdefense/TowerDefenseHUDController.h	(revision 11099)
@@ -27,11 +27,4 @@
  */
 
- /**
-    @brief
-        This subclass of OverlayText is used to display the stats of the player in the HUD
-
-    @ingroup TowerDefense
- */
-
 
 #ifndef _TowerDefenseHUDController_H__
@@ -46,4 +39,10 @@
 namespace orxonox
 {
+    /**
+    @brief
+    This subclass of OverlayText is used to display the stats of the player in the HUD
+
+    @ingroup TowerDefense
+    */
     class _TowerDefenseExport TowerDefenseHUDController : public OverlayText, public Tickable
     {
Index: code/trunk/src/modules/towerdefense/TowerDefenseTower.h
===================================================================
--- code/trunk/src/modules/towerdefense/TowerDefenseTower.h	(revision 11098)
+++ code/trunk/src/modules/towerdefense/TowerDefenseTower.h	(revision 11099)
@@ -6,11 +6,4 @@
 //  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
 //
-
-/**
-@brief
-See TowerDefenseTowerDefenseReadme.txt for Information.
-
-@ingroup TowerDefenseTowerDefense
-*/
 
 
@@ -24,4 +17,10 @@
 namespace orxonox
 {
+    /**
+    @brief
+    See TowerDefenseTowerDefenseReadme.txt for Information.
+
+    @ingroup TowerDefenseTowerDefense
+    */
     class _TowerDefenseExport TowerDefenseTower : public Turret
     {
Index: code/trunk/src/modules/weapons/projectiles/BasicProjectile.cc
===================================================================
--- code/trunk/src/modules/weapons/projectiles/BasicProjectile.cc	(revision 11098)
+++ code/trunk/src/modules/weapons/projectiles/BasicProjectile.cc	(revision 11099)
@@ -74,4 +74,6 @@
     @param contactPoint
         A btManifoldPoint indicating the point of contact/impact.
+    @param cs
+        The btCollisionShape of the other object
     @return
         Returns true if the collision resulted in a successful hit.
Index: code/trunk/src/modules/weapons/projectiles/BasicProjectile.h
===================================================================
--- code/trunk/src/modules/weapons/projectiles/BasicProjectile.h	(revision 11098)
+++ code/trunk/src/modules/weapons/projectiles/BasicProjectile.h	(revision 11099)
@@ -97,6 +97,4 @@
             /**
             @brief Get the shield-damage done by this projectile.
-                   Shield-damage only reduces shield health.
-            @param shielddamage The amount of damage. Is non-negative.
             */
             inline float getShieldDamage() const
Index: code/trunk/src/modules/weapons/projectiles/GravityBombField.h
===================================================================
--- code/trunk/src/modules/weapons/projectiles/GravityBombField.h	(revision 11098)
+++ code/trunk/src/modules/weapons/projectiles/GravityBombField.h	(revision 11099)
@@ -50,5 +50,5 @@
      * @date    23.05.2015
      *
-     * @param [in,out]  the Pawn that created the field.
+     * @param [in,out] shooter the Pawn that created the field.
      */
     void setShooter(Pawn* shooter)
Index: code/trunk/src/modules/weapons/projectiles/SplitGunProjectile.cc
===================================================================
--- code/trunk/src/modules/weapons/projectiles/SplitGunProjectile.cc	(revision 11098)
+++ code/trunk/src/modules/weapons/projectiles/SplitGunProjectile.cc	(revision 11099)
@@ -80,5 +80,6 @@
     /**
     @brief
-        This function starts a timer that will cause the projectile to split after a time defined by the argument @param splitTime.        
+        This function starts a timer that will cause the projectile to split after a time defined by the argument @p splitTime.
+    @param splitTime The time
     */
     void SplitGunProjectile::setSplitTime(float splitTime)
Index: code/trunk/src/modules/weapons/weaponmodes/HsW01.h
===================================================================
--- code/trunk/src/modules/weapons/weaponmodes/HsW01.h	(revision 11098)
+++ code/trunk/src/modules/weapons/weaponmodes/HsW01.h	(revision 11099)
@@ -76,5 +76,5 @@
             /**
             @brief Set the sound.
-            @param mesh The Sound name.
+            @param sound The Sound name.
             */
             void setSound(const std::string& sound)
Index: code/trunk/src/orxonox/LevelInfo.cc
===================================================================
--- code/trunk/src/orxonox/LevelInfo.cc	(revision 11098)
+++ code/trunk/src/orxonox/LevelInfo.cc	(revision 11099)
@@ -115,5 +115,5 @@
     @brief
         Set the starting ship models of the level
-    @param tags
+    @param ships
         A comma-seperated string of all the allowed ship models for the shipselection.
     */
@@ -244,10 +244,4 @@
     RegisterClass(LevelInfo);
 
-    /**
-    @brief
-
-    @param creator
-        The creator of this object.
-    */
     LevelInfo::LevelInfo(Context* context) : BaseObject(context)
     {
Index: code/trunk/src/orxonox/LevelInfo.h
===================================================================
--- code/trunk/src/orxonox/LevelInfo.h	(revision 11098)
+++ code/trunk/src/orxonox/LevelInfo.h	(revision 11099)
@@ -197,5 +197,4 @@
     @author
         Damian 'Mozork' Frick
-    @edit
         Matthias Hutter
     @ingroup Orxonox
@@ -247,5 +246,5 @@
             /**
             @brief Set the starting ship models of the level
-            @param A comma-seperated string of all the allowed ship models for the shipselection.
+            @param ships A comma-seperated string of all the allowed ship models for the shipselection.
             */
             inline void setStartingShips(const std::string& ships)
Index: code/trunk/src/orxonox/chat/ChatHistory.h
===================================================================
--- code/trunk/src/orxonox/chat/ChatHistory.h	(revision 11098)
+++ code/trunk/src/orxonox/chat/ChatHistory.h	(revision 11099)
@@ -80,5 +80,5 @@
        *
        * \param message The incoming message
-       * \param senderID Identification number of the sender
+       * \param name Name of the sender
        */
       virtual void incomingChat(const std::string& message, const std::string& name) override;
Index: code/trunk/src/orxonox/chat/ChatInputHandler.h
===================================================================
--- code/trunk/src/orxonox/chat/ChatInputHandler.h	(revision 11098)
+++ code/trunk/src/orxonox/chat/ChatInputHandler.h	(revision 11099)
@@ -120,5 +120,5 @@
 
       /** \param message the message text
-       * \param senderID ID of the player who sent the message
+       * \param name Name of the player who sent the message
        *
        * Deal with incoming chat (which means in our case: Add it to the
Index: code/trunk/src/orxonox/controllers/ActionpointController.h
===================================================================
--- code/trunk/src/orxonox/controllers/ActionpointController.h	(revision 11098)
+++ code/trunk/src/orxonox/controllers/ActionpointController.h	(revision 11099)
@@ -94,4 +94,6 @@
             @brief
                 XML method, example XML usage:
+
+                @code
                 <SpaceShip position="-2000, 1500, -1000" lookat="0,0,0" team=0 name="ss2">
                   <templates>
@@ -110,4 +112,5 @@
                   </controller>
                 </SpaceShip>
+                @endcode
                 
                 Full description:
@@ -116,5 +119,5 @@
                 If any WorldEntity that is not Actionpoint or its child being sent to actionpoints through XML,
                 action would be assumed to be Action::FLY and target position to be position of the entity. Also, if not Actionpoint
-                is passed, it is assumed to be in a loop. How it works is: in <actionpoints> first all Actionpoints between 
+                is passed, it is assumed to be in a loop. How it works is: in \<actionpoints\> first all Actionpoints between 
                 first Actionpoint with loopStart=true and first following Actionpoint with loopEnd=true are included in a single loop.
                 If they are adjacent (in the input array) with WorldEntity, then WorldEntity is also in a loop.
@@ -122,4 +125,6 @@
                
                 Loop example:
+
+                @code
                 <SpaceShip position="-1500, 1500, -1000" lookat="0,0,0" team=0 name="ss1">
                   <templates>
@@ -137,6 +142,9 @@
                   </controller>
                 </SpaceShip>
+                @endcode
                
                 other loop example:
+
+                @code
                 <SpaceShip position="-1500, -1500, -1500" lookat="0,0,0" team=0 name="ss1">
                   <templates>
@@ -153,8 +161,9 @@
                     </DivisionController>
                   </controller>
-                </SpaceShip> 
+                </SpaceShip>
+                @endcode
 
             @note
-                Don't use several loops, and don't use WorldEntities as input to <actionpoints> as I didn't test it well, but you
+                Don't use several loops, and don't use WorldEntities as input to \<actionpoints\> as I didn't test it well, but you
                 can try if feeling lucky.  
             */
Index: code/trunk/src/orxonox/controllers/ArtificialController.cc
===================================================================
--- code/trunk/src/orxonox/controllers/ArtificialController.cc	(revision 11098)
+++ code/trunk/src/orxonox/controllers/ArtificialController.cc	(revision 11099)
@@ -255,4 +255,5 @@
         @brief Adds first waypoint of type name to the waypoint stack, which is within the searchDistance
         @param name object-name of a point of interest (e.g. "PickupSpawner", "ForceField")
+        @param searchDistance The maximum distance to search
     */
     void ArtificialController::updatePointsOfInterest(std::string name, float searchDistance)
Index: code/trunk/src/orxonox/controllers/MasterController.h
===================================================================
--- code/trunk/src/orxonox/controllers/MasterController.h	(revision 11098)
+++ code/trunk/src/orxonox/controllers/MasterController.h	(revision 11099)
@@ -44,4 +44,6 @@
       If no MasterController is initialized, none of ActionpointControllers will work.
       Example:
+
+      @code
       <Pawn position = "100000, 100000, 100000">
         <controller>
@@ -50,4 +52,5 @@
         </controller>
       </Pawn>
+      @endcode
     */
     class _OrxonoxExport MasterController : public Controller, public Tickable
Index: code/trunk/src/orxonox/gametypes/Dynamicmatch.cc
===================================================================
--- code/trunk/src/orxonox/gametypes/Dynamicmatch.cc	(revision 11098)
+++ code/trunk/src/orxonox/gametypes/Dynamicmatch.cc	(revision 11099)
@@ -26,23 +26,5 @@
  *
  */
-//TODO:
-//pig punkte vergeben pro Zeit!
-//killerfarbe schwarz; evtl. eigenes Raumfahrzeug;
-//Low; Codeoptimierung und Dokumentation
-
-/**
-@brief
-    Short Gaming Manual:
-    There are three different parties a player can belong to: victim, chaser or killer
-    Every player starts as chaser. As long as there are not enough victims and killers, you can change your and other player's parties by shooting them.
-    In order to win you have to earn as much points as possible:
-    - as victim by escaping the chasers
-    - as chaser by shooting the victim
-    - as killer by killing the chasers
-
-
-    What you shouldn't do is shooting at players of your own party. By doing so your score will decrease.
-    P.S: If you don't want to be a victim: Get rid of your part by shooting a chaser.
-*/
+
 #include "Dynamicmatch.h"
 
Index: code/trunk/src/orxonox/gametypes/Dynamicmatch.h
===================================================================
--- code/trunk/src/orxonox/gametypes/Dynamicmatch.h	(revision 11098)
+++ code/trunk/src/orxonox/gametypes/Dynamicmatch.h	(revision 11099)
@@ -42,4 +42,23 @@
 namespace orxonox
 {
+    /**
+    @brief
+        Short Gaming Manual:
+        There are three different parties a player can belong to: victim, chaser or killer
+        Every player starts as chaser. As long as there are not enough victims and killers, you can change your and other player's parties by shooting them.
+        In order to win you have to earn as much points as possible:
+        - as victim by escaping the chasers
+        - as chaser by shooting the victim
+        - as killer by killing the chasers
+
+
+        What you shouldn't do is shooting at players of your own party. By doing so your score will decrease.
+        P.S: If you don't want to be a victim: Get rid of your part by shooting a chaser.
+
+        @todo:
+        pig punkte vergeben pro Zeit!
+        killerfarbe schwarz; evtl. eigenes Raumfahrzeug;
+        Low; Codeoptimierung und Dokumentation
+    */
     class _OrxonoxExport Dynamicmatch : public Gametype
     {
Index: code/trunk/src/orxonox/infos/GametypeInfo.cc
===================================================================
--- code/trunk/src/orxonox/infos/GametypeInfo.cc	(revision 11098)
+++ code/trunk/src/orxonox/infos/GametypeInfo.cc	(revision 11099)
@@ -378,5 +378,5 @@
     @param player
         The player that has changed its spawned status.
-    @param ready
+    @param spawned
         The new spawned status.
     */
Index: code/trunk/src/orxonox/interfaces/NotificationListener.cc
===================================================================
--- code/trunk/src/orxonox/interfaces/NotificationListener.cc	(revision 11098)
+++ code/trunk/src/orxonox/interfaces/NotificationListener.cc	(revision 11099)
@@ -102,5 +102,5 @@
     @param isCommand
         Whether the message is a command or a notification.
-    @param messageType
+    @param type
         The type of the notification.
     */
Index: code/trunk/src/orxonox/interfaces/PlayerTrigger.h
===================================================================
--- code/trunk/src/orxonox/interfaces/PlayerTrigger.h	(revision 11098)
+++ code/trunk/src/orxonox/interfaces/PlayerTrigger.h	(revision 11099)
@@ -82,5 +82,5 @@
         /**
         @brief Set the player that triggered the PlayerTrigger. This is normally done by classes inheriting vom PlayerTrigger.
-        @param player A pointer to the Pawn that triggered the PlayerTrigger.
+        @param pawn A pointer to the Pawn that triggered the PlayerTrigger.
         */
         void setTriggeringPawn(Pawn* pawn);
Index: code/trunk/src/orxonox/items/Engine.h
===================================================================
--- code/trunk/src/orxonox/items/Engine.h	(revision 11098)
+++ code/trunk/src/orxonox/items/Engine.h	(revision 11099)
@@ -45,5 +45,5 @@
         There are many parameters that can be specified:
         - The <b>relativePosition</b>, specifies the position relative to the center of the SpaceShip the Engine is mounted on.
-        - The <b>maximal speed</b>, there are four maximal speeds that can be specified: The <b>speedfront</b>, the maximal forward speed. The <b>speedback>, the maximal backward speed. The <b>speedleftright</b>, the maximal speed in y-direction of the SpaceShip coordinate frame. The <b>speedupdown</b>, the maximal speed in z-direction of the SpaceShip coordinate frame. All maximal speeds (naturally) have to be non-negative.
+        - The <b>maximal speed</b>, there are four maximal speeds that can be specified: The <b>speedfront</b>, the maximal forward speed. The <b>speedback</b>, the maximal backward speed. The <b>speedleftright</b>, the maximal speed in y-direction of the SpaceShip coordinate frame. The <b>speedupdown</b>, the maximal speed in z-direction of the SpaceShip coordinate frame. All maximal speeds (naturally) have to be non-negative.
         - The <b>acceleration</b>, there are five types of acceleration that can be specified: The <b>accelerationfront</b>, the forward acceleration. The <b>accelerationbrake</b>, the braking acceleration. The <b>accelerationback</b>, the backward acceleration. The <b>accelerationleftright</b>, the acceleration in y-direction. The <b>accelerationupdown</b>, the acceleration in z-direction. All accelerations have to be non-negative.
         - The <b>boostfactor</b>, specifies the factor by which boosting increases the speed. This has to be non-negative, as well. Beware that maximal speeds can be overcome through boosting.
@@ -213,5 +213,5 @@
             /**
             @brief Add to the additional forward speed factor.
-            @param factor The speed that is added to the additional forward speed. Must be non-negative.
+            @param speed The speed that is added to the additional forward speed. Must be non-negative.
             */
             inline void addSpeedAdd(float speed)
Index: code/trunk/src/orxonox/items/PartDestructionEvent.cc
===================================================================
--- code/trunk/src/orxonox/items/PartDestructionEvent.cc	(revision 11098)
+++ code/trunk/src/orxonox/items/PartDestructionEvent.cc	(revision 11099)
@@ -164,5 +164,5 @@
     @brief
         Set type of the target
-    @param param
+    @param type
         The desired target-type as string. Valid target-types: ship engine weapon
     */
@@ -197,5 +197,5 @@
         Set the operation to be applied.
     @param param
-        The desired parameter as string. Valid parameters: c.f. @ref orxnox::PartDestructionEvent::TargetParam
+        The desired parameter as string. Valid parameters: c.f. @ref TargetParam
     */
     void PartDestructionEvent::setTargetParam(std::string param)
Index: code/trunk/src/orxonox/items/PartDestructionEvent.h
===================================================================
--- code/trunk/src/orxonox/items/PartDestructionEvent.h	(revision 11098)
+++ code/trunk/src/orxonox/items/PartDestructionEvent.h	(revision 11099)
@@ -81,5 +81,5 @@
                 @brief
                     List of all allowed parameters.
-                */
+            */
             enum class TargetParam
             {
Index: code/trunk/src/orxonox/items/ShipPart.cc
===================================================================
--- code/trunk/src/orxonox/items/ShipPart.cc	(revision 11098)
+++ code/trunk/src/orxonox/items/ShipPart.cc	(revision 11099)
@@ -116,5 +116,5 @@
     @brief
         Add a StaticEntity to the ShipPart.
-    @param engine
+    @param entity
         A pointer to the StaticEntity to be added.
     */
@@ -158,5 +158,5 @@
     @brief
         Add a PartDestructionEvent to the ShipPart.
-    @param engine
+    @param event
         A pointer to the PartDestructionEvent to be added.
     */
Index: code/trunk/src/orxonox/overlays/OrxonoxOverlay.cc
===================================================================
--- code/trunk/src/orxonox/overlays/OrxonoxOverlay.cc	(revision 11098)
+++ code/trunk/src/orxonox/overlays/OrxonoxOverlay.cc	(revision 11099)
@@ -126,6 +126,5 @@
         This has to be called before usage, otherwise strange behaviour is
         guaranteed! (there should be no segfaults however).
-    @copydoc
-        BaseObject::XMLPort()
+    @copydoc BaseObject::XMLPort()
     */
     void OrxonoxOverlay::XMLPort(Element& xmlelement, XMLPort::Mode mode)
Index: code/trunk/src/orxonox/overlays/OverlayGroup.cc
===================================================================
--- code/trunk/src/orxonox/overlays/OverlayGroup.cc	(revision 11098)
+++ code/trunk/src/orxonox/overlays/OverlayGroup.cc	(revision 11099)
@@ -85,6 +85,5 @@
     @brief
         Loads the group and all its children OrxonoxOverlays.
-    @copydoc
-        BaseObject::XMLPort()
+    @copydoc BaseObject::XMLPort()
     */
     void OverlayGroup::XMLPort(Element& xmlelement, XMLPort::Mode mode)
Index: code/trunk/src/orxonox/weaponsystem/WeaponSlot.h
===================================================================
--- code/trunk/src/orxonox/weaponsystem/WeaponSlot.h	(revision 11098)
+++ code/trunk/src/orxonox/weaponsystem/WeaponSlot.h	(revision 11099)
@@ -48,4 +48,5 @@
           <WeaponSlot position="    0,   0,0" />
         </weaponslots>
+        @endcode
 
         A WeaponSlot can be attached to a @ref orxonox::Pawn because WeaponSlot inherits from @ref orxonox::StaticEntity.
Index: code/trunk/src/orxonox/weaponsystem/WeaponSystem.cc
===================================================================
--- code/trunk/src/orxonox/weaponsystem/WeaponSystem.cc	(revision 11098)
+++ code/trunk/src/orxonox/weaponsystem/WeaponSystem.cc	(revision 11099)
@@ -285,5 +285,5 @@
     /**
     @brief
-        Fires the @ref Orxonox::WeaponSet with the specified firemode.
+        Fires the @ref orxonox::WeaponSet with the specified firemode.
     */
     void WeaponSystem::fire(unsigned int firemode)
Index: code/trunk/src/orxonox/worldentities/Actionpoint.h
===================================================================
--- code/trunk/src/orxonox/worldentities/Actionpoint.h	(revision 11098)
+++ code/trunk/src/orxonox/worldentities/Actionpoint.h	(revision 11099)
@@ -49,4 +49,5 @@
         Example XML code:
 
+        @code
         <SpaceShip position="-2000, 1500, -1000" lookat="0,0,0" team=0 name="thisShipName">
           <templates>
@@ -65,7 +66,9 @@
           </controller>
         </SpaceShip>
-        
+        @endcode
+
         Example with loops:
 
+        @code
         <SpaceShip position="-1500, 1500, -1000" lookat="0,0,0" team=0 name="thisShipName">
           <templates>
@@ -83,4 +86,5 @@
           </controller>
         </SpaceShip>
+        @endcode
         
         One can also use other Worldentities instead of Actionpoints just like Waypoints, but those points
Index: code/trunk/src/orxonox/worldentities/WorldEntity.h
===================================================================
--- code/trunk/src/orxonox/worldentities/WorldEntity.h	(revision 11098)
+++ code/trunk/src/orxonox/worldentities/WorldEntity.h	(revision 11099)
@@ -400,4 +400,6 @@
             @param otherObject
                 The object this one has collided into.
+            @param ownCollisionShape
+                The collision shape of the other object
             @param contactPoint
                 Contact point provided by Bullet. Holds more information and can me modified. See return value.
Index: code/trunk/src/orxonox/worldentities/pawns/ModularSpaceShip.cc
===================================================================
--- code/trunk/src/orxonox/worldentities/pawns/ModularSpaceShip.cc	(revision 11098)
+++ code/trunk/src/orxonox/worldentities/pawns/ModularSpaceShip.cc	(revision 11099)
@@ -207,5 +207,5 @@
     @brief
         Add a ShipPart to the SpaceShip.
-    @param engine
+    @param part
         A pointer to the ShipPart to be added.
     */
Index: code/trunk/src/orxonox/worldentities/pawns/ModularSpaceShip.h
===================================================================
--- code/trunk/src/orxonox/worldentities/pawns/ModularSpaceShip.h	(revision 11098)
+++ code/trunk/src/orxonox/worldentities/pawns/ModularSpaceShip.h	(revision 11099)
@@ -58,5 +58,5 @@
 
         As mentioned @ref orxonox::Engine Engines can be mounted on the ModularSpaceShip.
-        In order to assign attached entities to a ShipPart, a ShipPart with the same name as the corresponding entity needs to be created in the <parts> tag.
+        In order to assign attached entities to a ShipPart, a ShipPart with the same name as the corresponding entity needs to be created in the \<parts\> tag.
         Here is a (primitive) example of a ModularSpaceShip defined in XML:
         @code
Index: code/trunk/src/orxonox/worldentities/pawns/Pawn.cc
===================================================================
--- code/trunk/src/orxonox/worldentities/pawns/Pawn.cc	(revision 11098)
+++ code/trunk/src/orxonox/worldentities/pawns/Pawn.cc	(revision 11099)
@@ -425,5 +425,5 @@
     /**
     @brief
-        Check whether the Pawn has a @ref Orxonox::WeaponSystem and fire it with the specified firemode if it has one.
+        Check whether the Pawn has a @ref orxonox::WeaponSystem and fire it with the specified firemode if it has one.
     */
 
